terraform {
  backend "http" {
  }
  required_providers {
    proxmox = {
      source = "Telmate/proxmox"
      version = "2.8.0"
    }
  }
}

provider "proxmox" {
  alias = "prox01"
  pm_api_url = "https://10.15.0.101:8006/api2/json"
  pm_user = var.proxmox_user
  pm_password = var.proxmox_node01_password
  pm_tls_insecure = true
}

provider "proxmox" {
  alias = "prox02"
  pm_api_url = "https://10.15.0.102:8006/api2/json"
  pm_user = var.proxmox_user
  pm_password = var.proxmox_node02_password
  pm_tls_insecure = true
}

provider "proxmox" {
  alias = "prox03"
  pm_api_url = "https://10.15.0.103:8006/api2/json"
  pm_user = var.proxmox_user
  pm_password = var.proxmox_node03_password
  pm_tls_insecure = true
}

provider "proxmox" {
  alias = "prox04"
  pm_api_url = "https://10.15.0.104:8006/api2/json"
  pm_user = var.proxmox_user
  pm_password = var.proxmox_node04_password
  pm_tls_insecure = true
}

provider "proxmox" {
  alias = "prox05"
  pm_api_url = "https://10.15.0.105:8006/api2/json"
  pm_user = var.proxmox_user
  pm_password = var.proxmox_node05_password
  pm_tls_insecure = true
}