module "fargate" {
  source                  = "../fargate"
  eks_cluster_name        = module.eks_cluster.cluster_name
  fargate_profile_name    = var.fargate_profile_name
  subnet_ids              = module.vpc.private_subnets
  kubernetes_namespace    = var.kubernetes_namespace
}