terraform {
  backend "http" {
  }
  required_providers {
    proxmox = {
      source = "Telmate/proxmox"
      version = "2.8.0"
    }
    vultr = {
      source = "vultr/vultr"
      version = "2.5.0"
    }
  }
}

provider "proxmox" {
  alias = "prox05"
  pm_api_url = "https://10.15.0.105:8006/api2/json"
  pm_user = var.proxmox_user
  pm_password = var.proxmox_node05_password
  pm_tls_insecure = true
}

provider "vultr" {
  api_key = var.vultr_apikey
  rate_limit = 700
  retry_limit = 3
}