module "kms" {
  source = "../kms"

  create                   = var.create_kms_module
  key_usage                = var.k_usage
  deletion_window_in_days  = var.days_of_deletion
  enable_key_rotation      = var.enabled_rotation
  is_enabled               = var.key_enabled
  customer_master_key_spec = var.key_specs

  key_owners         = var.k_owners
  key_administrators = var.key_admins
  key_users          = var.k_users
  key_aws_services   = var.key_service_principals
  key_service_users  = var.k_service_users
  aliases            = var.alias

}